Subject: Re: bug#35389: 27.0.50; [PATCH] Emacs on macOS sets mouse-wheel variables directly

From: Eli Zaretskii <[email-masked]>
Date: Wed, 22 May 2019 09:22:40 +0300

> Date: Sun, 19 May 2019 13:32:01 +0100
> From: Alan Third <[email-masked]>
> Cc: Tak Kunihiro <[email-masked]>, [email-masked],
> 	[email-masked], [email-masked], [email-masked]
> 
> FWIW, a setting of
> 
>     (5 ((shift) . 1) ((control)))
>     
> is IMO perfectly usable. At least with progressive scroll off. The
> only downsides are that it doesn’t match the way other apps work on my
> desktop, and with a mousewheel (as opposed to a touchpad)
> shift‐scrolling is captured by the OS and converted to horizontal
> scrolling, so shift‐scroll does nothing anyway.

Then I think we should make the above the default.

> I still feel a default scroll amount of 1 feels much better, but it
> may just be that I’m used to it.

People who want a behavior different from the default can always
customize, right?